package com.ywt.outpatient.taihe.rpc.domain.enums;

/**
 * 支付状态枚举
 *
 * @author johnson lin
 * @date 2019/4/29 9:51 PM
 */
public enum PaymentStatus {
    /**
     * 待支付
     */
    PENDING("待支付", 0),
    PROCESSING("支付处理中", 1),
    SUCCESS("支付成功", 2),
    FAILED("支付失败", 3);

    private final String displayName;

    private final int value;

    PaymentStatus(String displayName, int value) {
        this.displayName = displayName;
        this.value = value;
    }

    public String getDisplayName() {
        return displayName;
    }

    public int getValue() {
        return value;
    }
}
